# Panorama.PanoramaResult | Android Developers

Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# Panorama.PanoramaResult

implements Result

com.google.android.gms.panorama.Panorama.PanoramaResult

## Class Overview

Result interface for loading panorama info.

## Summary

Public Methods
abstract Intent | getViewerIntent()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract Intent getViewerIntent ()

##### Returns

- If the image is a panorama this is not null and will launch a viewer when started. If the image is not a panorama this will be null.